Package org.zkoss.stateless.sul

## Interface IMenubar

- All Superinterfaces:
    `IAnyGroup<IMenubar>`, `IChildable<IMenubar,​IChildrenOfMenupopup>`, `IComponent<IMenubar>`, `IHtmlBasedComponent<IMenubar>`, `IXulElement<IMenubar>`

      public interface IMenubar
      extends IXulElement<IMenubar>, IChildable<IMenubar,​IChildrenOfMenupopup>, IAnyGroup<IMenubar>

  Immutable `Menubar` component

  A container usually contains more than one menu elements.

  Author:
    katherine
  See Also:
    `Menubar`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IMenubar.Builder` | Builds instances of type `IMenubar`.
    `static class` | `IMenubar.Orient` | Specifies the orient of `IMenubar` component
    `static class` | `IMenubar.Updater` | Builds an updater of type `IMenubar` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IMenubar` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getOrient()` | Returns the orient.
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `default boolean` | `isAutodrop()` | Returns whether it is opened automatically when the mouse cursor is near the page edge.
    `default boolean` | `isScrollable()` | Returns whether the menubar scrolling is enabled.
    `static IMenubar` | `of​(java.lang.Iterable<? extends IChildrenOfMenupopup> children)` | Returns the instance with the given `IChildrenOfMenupopup` children.
    `static IMenubar` | `of​(IChildrenOfMenupopup... children)` | Returns the instance with the given `IChildrenOfMenupopup` children.
    `static IMenubar` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `IMenubar` | `withAutodrop​(boolean autodrop)` | Returns a copy of `this` immutable component with the specified `autodrop`.
    `IMenubar` | `withOrient​(java.lang.String orient)` | Returns a copy of `this` immutable component with the specified `orient`.
    `default IMenubar` | `withOrient​(IMenubar.Orient orient)` | Returns a copy of `this` immutable component with the specified `orient`.
    `IMenubar` | `withScrollable​(boolean scrollable)` | Returns a copy of `this` immutable component with the specified `scrollable`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IChildable

      `getChildren, withChildren, withChildren`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IMenubar DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zul.menu.Menubar"`

      Specified by:
        `getWidgetClass` in interface `IComponent<IMenubar>`

    - #### isAutodrop

          default boolean isAutodrop()

      Returns whether it is opened automatically when the mouse cursor is near the page edge.

      Default: `false`.

    - #### withAutodrop

          IMenubar withAutodrop​(boolean autodrop)

      Returns a copy of `this` immutable component with the specified `autodrop`.

      Sets whether it is opened automatically when the mouse cursor is near the page edge.

      Parameters:
        `autodrop` - Whether it is opened automatically.

        Default: `false`.

      Returns:
        A modified copy of the `this` object

    - #### getOrient

          default java.lang.String getOrient()

      Returns the orient.

      Default: `"horizontal"`.

    - #### withOrient

          IMenubar withOrient​(java.lang.String orient)

      Returns a copy of `this` immutable component with the specified `orient`.

      Sets the orient of component

      Parameters:
        `orient` - Either `"horizontal"` or `"vertical"`

        Default: `"horizontal"`.

      Returns:
        A modified copy of the `this` object

    - #### withOrient

          default IMenubar withOrient​(IMenubar.Orient orient)

      Returns a copy of `this` immutable component with the specified `orient`.

      Sets the orient of component

      Parameters:
        `orient` - The `orient`

        Default: `"horizontal"`.

      Returns:
        A modified copy of the `this` object

    - #### isScrollable

          default boolean isScrollable()

      Returns whether the menubar scrolling is enabled.

      Default: `false`.

    - #### withScrollable

          IMenubar withScrollable​(boolean scrollable)

      Returns a copy of `this` immutable component with the specified `scrollable`.

      Sets whether the menubar scrolling is enabled.

      Parameters:
        `scrollable` - Whether the menubar scrolling is enabled.

        Default: `false`.

      Returns:
        A modified copy of the `this` object

    - #### of

          static IMenubar of​(java.lang.Iterable<? extends IChildrenOfMenupopup> children)

      Returns the instance with the given `IChildrenOfMenupopup` children.
      Parameters:
        `children` - The children of `IChildrenOfMenupopup`

    - #### of

          static IMenubar of​(IChildrenOfMenupopup... children)

      Returns the instance with the given `IChildrenOfMenupopup` children.
      Parameters:
        `children` - The children of `IChildrenOfMenupopup`

    - #### ofId

          static IMenubar ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component